<div class="filtres-container">
  <mat-form-field appearance="outline">
    <mat-label>Aéroport</mat-label>
    <mat-select [(ngModel)]="aeroport">
      <mat-option *ngFor="let aeroport of aeroports" [value]="aeroport" required>{{ aeroport.ville + ' - ' + aeroport.nom }}</mat-option>
    </mat-select>
  </mat-form-field>

  <mat-form-field appearance="outline">
    <mat-label>Dates</mat-label>
    <mat-date-range-input [rangePicker]="picker">
      <input matStartDate placeholder="Date de début" [(ngModel)]="debut"  required>
      <input matEndDate placeholder="Date de fin" [(ngModel)]="fin" required>
    </mat-date-range-input>
    <mat-hint>Entrez une période de 3 jours</mat-hint>
    <mat-datepicker-toggle matIconSuffix [for]="picker"></mat-datepicker-toggle>
    <mat-date-range-picker #picker></mat-date-range-picker>
  </mat-form-field>

  <button class="apply-button" mat-flat-button (click)="onAppliquerClick()" [disabled]="!aeroport || !debut || !fin" >Appliquer</button>
</div>
